Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeWebApp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeWebApp

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeWebApp extends TdApi.InternalLinkType
The link is a link to a Web App. Call searchPublicChat with the given bot username, check that the user is a bot. If the bot is restricted for the current user, then show an error message. Otherwise, call searchWebApp with the received bot and the given webAppShortName. Process received foundWebApp by showing a confirmation dialog if needed. If the bot can be added to attachment or side menu, but isn't added yet, then show a disclaimer about Mini Apps being third-party applications instead of the dialog and ask the user to accept their Terms of service. If the user accept the terms and confirms adding, then use toggleBotIsAddedToAttachmentMenu to add the bot. Then, call getWebAppLinkUrl and open the returned URL as a Web App.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `botUsername`
  Username of the bot that owns the Web App.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.WebAppOpenMode`
  `mode`
  The mode in which the Web App must be opened.
  `String`
  `startParameter`
  Start parameter to be passed to getWebAppLinkUrl.
  `String`
  `webAppShortName`
  Short name of the Web App.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeWebApp()`
  The link is a link to a Web App.
  `InternalLinkTypeWebApp(String botUsername, String webAppShortName, String startParameter, TdApi.WebAppOpenMode mode)`
  The link is a link to a Web App.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUsername

    public String botUsername
    Username of the bot that owns the Web App.

  - ### webAppShortName

    public String webAppShortName
    Short name of the Web App.

  - ### startParameter

    public String startParameter
    Start parameter to be passed to getWebAppLinkUrl.

  - ### mode

    public TdApi.WebAppOpenMode mode
    The mode in which the Web App must be opened.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeWebApp

    public InternalLinkTypeWebApp()
    The link is a link to a Web App. Call searchPublicChat with the given bot username, check that the user is a bot. If the bot is restricted for the current user, then show an error message. Otherwise, call searchWebApp with the received bot and the given webAppShortName. Process received foundWebApp by showing a confirmation dialog if needed. If the bot can be added to attachment or side menu, but isn't added yet, then show a disclaimer about Mini Apps being third-party applications instead of the dialog and ask the user to accept their Terms of service. If the user accept the terms and confirms adding, then use toggleBotIsAddedToAttachmentMenu to add the bot. Then, call getWebAppLinkUrl and open the returned URL as a Web App.

  - ### InternalLinkTypeWebApp

    public InternalLinkTypeWebApp(String botUsername, String webAppShortName, String startParameter, TdApi.WebAppOpenMode mode)
    The link is a link to a Web App. Call searchPublicChat with the given bot username, check that the user is a bot. If the bot is restricted for the current user, then show an error message. Otherwise, call searchWebApp with the received bot and the given webAppShortName. Process received foundWebApp by showing a confirmation dialog if needed. If the bot can be added to attachment or side menu, but isn't added yet, then show a disclaimer about Mini Apps being third-party applications instead of the dialog and ask the user to accept their Terms of service. If the user accept the terms and confirms adding, then use toggleBotIsAddedToAttachmentMenu to add the bot. Then, call getWebAppLinkUrl and open the returned URL as a Web App.
    Parameters:
      `botUsername` - Username of the bot that owns the Web App.
      `webAppShortName` - Short name of the Web App.
      `startParameter` - Start parameter to be passed to getWebAppLinkUrl.
      `mode` - The mode in which the Web App must be opened.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR